<?xml version="1.0" encoding="UTF-8"?>
<?eclipse version="3.0"?>

<!--
/**********************************************************************
 * Copyright (c) 2003 Hyades project.
 * All rights reserved.   This program and the accompanying materials
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 *
 * Contributors:
 * IBM - Initial API and implementation
 **********************************************************************/
 
/*
 * generated using Hyades customized JET templates
 */

-->

<plugin
    name = "%pluginName"
    id = "org.eclipse.hyades.models.probekit"
    version = "3.0.1"
    provider-name = "%providerName">

  <requires>
    <import plugin="org.eclipse.emf.ecore" export="true"/>
    <import plugin="org.eclipse.emf.ecore.xmi" export="true"/>
  </requires>

  <runtime>
     <library name="mprobekit.jar">
         <export name="*"/>
      </library>
  </runtime>

  <extension point="org.eclipse.emf.ecore.generated_package">
    <package 
       uri = "platform:/resource/org.eclipse.hyades.models.probekit/src/model/probekit.xsd" 
       class = "org.eclipse.hyades.models.internal.probekit.ProbekitPackage" />
  </extension>

  <extension point="org.eclipse.emf.ecore.extension_parser">
    <parser 
       type="probe" 
       class="org.eclipse.hyades.models.internal.probekit.util.ProbekitResourceFactoryImpl" />
  </extension>

</plugin>

